API DocumentationComputer Flavors/Sizes
List marketplace images
List marketplace/application images with pagination and optional text filter.
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Query Parameters
page*integer
Page number (1-based).
Range
1 <= valuepage_size*integer
Number of images per page (1–99).
Range
1 <= value <= 99filter?string
Case-insensitive filter matched against slug, name, version, description, and keywords.
filter_disabled?boolean
When true, exclude disabled images from the result set.
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X GET "https://example.com/v1/marketplace?page=1&page_size=1"{ "images": [ { "id": "debian-13", "slug": "debian-13", "version": "13", "disabled": false, "min_requirements": { "cpu": 1, "memory": 1024, "disk": 25 }, "codename": "Bookworm", "kind": "mkp", "name": "WordPress", "category": "bitnami/wordpress", "os": "string", "metadata": { "description": "string", "keywords": [ "string" ] } } ], "total": 42}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}